% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sharamov.R
\name{addBingTiles}
\alias{addBingTiles}
\title{Adds Bing Tiles Layer}
\usage{
addBingTiles(map, apikey = Sys.getenv("BING_MAPS_API_KEY"),
  imagerySet = c("Aerial", "AerialWithLabels", "CanvasDark", "CanvasLight",
  "CanvasGray", "Road"), layerId = NULL, group = NULL, ...)
}
\arguments{
\item{map}{The Map widget}

\item{apikey}{String. Bing API Key}

\item{imagerySet}{String. Type of Tiles to display}

\item{layerId}{String. An optional unique ID for the layer}

\item{group}{String. An optional group name for the layer}

\item{...}{Optional Parameters required by the Bing API described at \url{https://msdn.microsoft.com/en-us/library/ff701716.aspx}}
}
\description{
Adds Bing Tiles Layer
}
\seealso{
Get a Bing Maps API Key: \url{https://msdn.microsoft.com/en-us/library/ff428642.aspx}
}
